Package org.apache.synapse.transport.passthru.core

## Class PassThroughSharedListenerConfiguration

- java.lang.Object
- - org.apache.synapse.transport.passthru.core.PassThroughSharedListenerConfiguration

-     public class PassThroughSharedListenerConfiguration
      extends Object

  This class is a representation of configuration used when creating ListeningIOReactor

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PassThroughSharedListenerConfiguration​(ThreadFactory threadFactory, ServerConnFactory serverConnFactory, SourceConfiguration sourceConfiguration)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ServerConnFactory` | `getServerConnFactory()` |
    `SourceConfiguration` | `getSourceConfiguration()` |
    `ThreadFactory` | `getThreadFactory()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PassThroughSharedListenerConfiguration

          public PassThroughSharedListenerConfiguration​(ThreadFactory threadFactory,
                                                        ServerConnFactory serverConnFactory,
                                                        SourceConfiguration sourceConfiguration)

      Parameters:
        `threadFactory` - ThreadFactory used by IO Reactor
        `serverConnFactory` - ServerConnectionFactory used by IODispatcher to create connections
        `sourceConfiguration` - SourceConfiguration of the shared IOReactor initiated PTT Listener

  - ### Method Detail

    - #### getThreadFactory

          public ThreadFactory getThreadFactory()

      Returns:
        ThreadFactory

    - #### getServerConnFactory

          public ServerConnFactory getServerConnFactory()

      Returns:
        ServerConnFactory

    - #### getSourceConfiguration

          public SourceConfiguration getSourceConfiguration()

      Returns:
        SourceConfiguration